Bug 808875 - (perl-Role-Tiny) Review Request: perl-Role-Tiny - A nouvelle cuisine portion size slice of Moose
Review Request: perl-Role-Tiny - A nouvelle cuisine portion size slice of Moose
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mario Blättermann
Fedora Extras Quality Assurance
http://search.cpan.org/dist/Role-Tiny/
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-01 08:56 EDT by Iain Arnell
Modified: 2012-04-11 22:33 EDT (History)
3 users (show)

See Also:
Fixed In Version: perl-Moo-0.009014-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-11 13:05:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mario.blaettermann: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2012-04-01 08:56:55 EDT
Spec URL: http://fedorapeople.org/~iarnell/review/perl-Role-Tiny.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-Role-Tiny-1.000000-1.fc18.src.rpm

Description:
Role::Tiny is a minimalist role composition tool.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=3954416

*rt-0.10_02
Comment 1 Mario Blättermann 2012-04-01 12:07:31 EDT
$ rpmlint -i -v *perl-Role-Tiny.noarch: I: checking
perl-Role-Tiny.noarch: W: spelling-error Summary(en_US) nouvelle -> Noelle
The value of this tag appears to be misspelled. Please double-check.

perl-Role-Tiny.noarch: W: spelling-error Summary(en_US) cusine -> cuisine, cosine, cu sine
The value of this tag appears to be misspelled. Please double-check.

perl-Role-Tiny.noarch: I: checking-url http://search.cpan.org/dist/Role-Tiny/ (timeout 10 seconds)
perl-Role-Tiny.src: I: checking
perl-Role-Tiny.src: W: spelling-error Summary(en_US) nouvelle -> Noelle
The value of this tag appears to be misspelled. Please double-check.

perl-Role-Tiny.src: W: spelling-error Summary(en_US) cusine -> cuisine, cosine, cu sine
The value of this tag appears to be misspelled. Please double-check.

perl-Role-Tiny.src: I: checking-url http://search.cpan.org/dist/Role-Tiny/ (timeout 10 seconds)
perl-Role-Tiny.src: I: checking-url http://www.cpan.org/authors/id/M/MS/MSTROUT/Role-Tiny-1.000000.tar.gz (timeout 10 seconds)
perl-Role-Tiny.spec: I: checking-url http://www.cpan.org/authors/id/M/MS/MSTROUT/Role-Tiny-1.000000.tar.gz (timeout 10 seconds)
2 packages and 1 specfiles checked; 0 errors, 4 warnings.

Some ignorable spelling errors, as usual.
Comment 2 Mario Blättermann 2012-04-01 12:13:25 EDT
---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license.
    GPL+ or Artistic
[+] MUST: The License field in the package spec file must match the actual
license.
[.] MUST: The file containing the text of the license(s) for the package must
be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source.
    $ md5sum *
    d80f53a69e418adea9a91f67af0f7b36  Role-Tiny-1.000000.tar.gz
    d80f53a69e418adea9a91f67af0f7b36  Role-Tiny-1.000000.tar.gz.packaged

[+] MUST: The package MUST successfully compile and build into binary rpms on
at least one primary architecture.
    - Succesful Koji build available.
[.] MUST: If the package does not successfully compile, build or work on an
architecture, ...
[+] MUST: All build dependencies must be listed in BuildRequires.
[.] MUST: The spec file MUST handle locales properly.
[.] MUST: If a package installs files below %{_datadir}/icons, the icon cache
must be updated.
[.] MUST: Packages storing shared library files (not just symlinks) must call
ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, ...
[+] MUST: A package must own all directories that it creates.
[+] MUST: A Fedora package must not list a file more than once in %files.
[+] MUST: Permissions on files must be set properly.
[+] MUST: Packages must not provide RPM dependency information when that
information is not global in nature, or are otherwise handled.
[.] MUST: When filtering automatically generated RPM dependency information,
the filtering system implemented by Fedora must be used.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage.
[+] MUST: Files in %doc must not affect the runtime of the application.
[.] MUST: Header files must be in a -devel package.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), ...
[.] MUST: devel packages must require the base package using a fully versioned
dependency.
[.] MUST: Packages must NOT contain any .la libtool archives.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop
file
[.] MUST: .desktop files must be properly installed with desktop-file-install
in the %install section.
[+] MUST: Packages must not own files or directories already owned by other
packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

[.] SHOULD: If the source package does not include license text(s) as a
    separate file from upstream, the packager SHOULD query upstream...
[+] SHOULD: Timestamps of files should be preserved.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses mock anyway)
[+] SHOULD: The reviewer should test that the package functions as described.
    I assume the packager has tested it. Don't know how to test it on my
system.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane.
[.] SHOULD: Usually, subpackages other than devel should require the base
package using a fully versioned dependency.
[.] SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin,
/usr/bin, or /usr/sbin ...
[+] SHOULD: Your package should contain man pages for binaries/scripts.

----------------

PACKAGE APPROVED

----------------
Comment 3 Iain Arnell 2012-04-01 12:18:13 EDT
(In reply to comment #1)
> 
> perl-Role-Tiny.noarch: W: spelling-error Summary(en_US) cusine -> cuisine,
> cosine, cu sine
> The value of this tag appears to be misspelled. Please double-check.
[snip] 
> 
> Some ignorable spelling errors, as usual.

Yes, but cusine really should be cuisine - will fix for submission. Thanks for the recent reviews.
Comment 4 Iain Arnell 2012-04-01 12:18:56 EDT
New Package SCM Request
=======================
Package Name: perl-Role-Tiny
Short Description: A nouvelle cusine portion size slice of Moose
Owners: iarnell
Branches: f15 f16 f17
InitialCC: perl-sig
Comment 5 Mario Blättermann 2012-04-01 12:26:23 EDT
(In reply to comment #3)
> (In reply to comment #1)
> > 
> > perl-Role-Tiny.noarch: W: spelling-error Summary(en_US) cusine -> cuisine,
> > cosine, cu sine
> > The value of this tag appears to be misspelled. Please double-check.
> [snip] 
> > 
> > Some ignorable spelling errors, as usual.
> 
> Yes, but cusine really should be cuisine - will fix for submission. Thanks for
> the recent reviews.

Yes, indeed, But you've got the description from the upstream people, and it should be fixed upstream, too.
Comment 6 Iain Arnell 2012-04-01 13:06:48 EDT
(In reply to comment #5)
> (In reply to comment #3)
> > Yes, but cusine really should be cuisine - will fix for submission. Thanks for
> > the recent reviews.
> 
> Yes, indeed, But you've got the description from the upstream people, and it
> should be fixed upstream, too.

https://rt.cpan.org/Ticket/Display.html?id=76203
Comment 7 Iain Arnell 2012-04-01 13:07:59 EDT
New Package SCM Request
=======================
Package Name: perl-Role-Tiny
Short Description: A nouvelle cuisine portion size slice of Moose
Owners: iarnell
Branches: f15 f16 f17
InitialCC: perl-sig

(fixed spelling of "cuisine" in summary)
Comment 8 Gwyn Ciesla 2012-04-02 06:06:52 EDT
Git done (by process-git-requests).
Comment 9 Fedora Update System 2012-04-02 09:17:26 EDT
perl-Moo-0.009014-1.fc17,perl-Module-Runtime-0.013-1.fc17,perl-Role-Tiny-1.000000-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/perl-Moo-0.009014-1.fc17,perl-Module-Runtime-0.013-1.fc17,perl-Role-Tiny-1.000000-3.fc17
Comment 10 Fedora Update System 2012-04-02 09:18:06 EDT
perl-Moo-0.009014-1.fc16,perl-Module-Runtime-0.013-1.fc16,perl-Role-Tiny-1.000000-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-Moo-0.009014-1.fc16,perl-Module-Runtime-0.013-1.fc16,perl-Role-Tiny-1.000000-3.fc16
Comment 11 Fedora Update System 2012-04-02 13:43:52 EDT
Package perl-Moo-0.009014-1.fc17, perl-Module-Runtime-0.013-1.fc17, perl-Role-Tiny-1.000000-3.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing perl-Moo-0.009014-1.fc17 perl-Module-Runtime-0.013-1.fc17 perl-Role-Tiny-1.000000-3.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-5192/perl-Moo-0.009014-1.fc17,perl-Module-Runtime-0.013-1.fc17,perl-Role-Tiny-1.000000-3.fc17
then log in and leave karma (feedback).
Comment 12 Fedora Update System 2012-04-11 13:05:05 EDT
perl-Moo-0.009014-1.fc16, perl-Module-Runtime-0.013-1.fc16, perl-Role-Tiny-1.000000-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2012-04-11 22:33:56 EDT
perl-Moo-0.009014-1.fc17, perl-Module-Runtime-0.013-1.fc17, perl-Role-Tiny-1.000000-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.